Distribution: 	CCux
Packager: 	Karsten Brockmann <arcam@ccux-linux.de>

Name: 		claws-mail
Version: 	3.4.0
Release: 	1
Source0: 	%{name}-%{version}.tar.bz2

Summary: 	Sylpheed-Claws is an e-mail client
URL: 		http://www.claws-mail.org/
License: 	GNU/GPL
Group: 		Networking/Mail

BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXrender-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  aspell-devel
BuildRequires:  atk-devel
BuildRequires:  bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  clamav-devel
BuildRequires:  openssl-devel
BuildRequires:  curl-devel
BuildRequires:  db-devel
BuildRequires:  libetpan-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  glib-devel
BuildRequires:  gmp
BuildRequires:  libgnomecanvas-devel
BuildRequires:  libgnomeprint-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  gtk2+-devel
BuildRequires:  libidn-devel
BuildRequires:  openldap-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  startup-notification-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

%description
Claws Mail is an email client (and news reader), based on GTK+, featuring 
 
Quick response
Graceful, and sophisticated interface
Easy configuration, intuitive operation
Abundant features
Extensibility
Robustness and stability

 The appearance and interface are designed to be familiar to new users coming from other popular email clients, as well as experienced users. Almost all commands are accessible with the keyboard. 
 The messages are managed in the standard MH format, which features fast access and data security. You'll be able to import your emails from almost any other email client, and export them just as easily. 
 Lots of extra functionality, like an RSS aggregator, calendar, or laptop LED handling, are provided by extra plugins. 

%package        devel
Requires:       %{name} = %{version}
Group:          Development/Libraries
Summary:        %{name} development headers.

%description    devel
Header and include files for developing applications with %{name}.

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--mandir=%{_mandir} \
--enable-openssl \
--disable-debug 
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%_bindir/sylpheed-claws

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_libdir/claws-mail/plugins
%_datadir/applications
%_datadir/icons
%_datadir/doc
%_datadir/locale

%files devel
%defattr(-,root,root)
%_includedir
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 3.4.0-1
- Version update (have to build against clamav)
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 3.0.2-1
- Version update
* Sat Sep 08 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.0-1
- Version Update
* Tue Mar 13 2007 Karsten Brockmann <arcam@ccux-linux.de.de> 2.8.1-1
- Initial release

